Bug 826099 - katello-debug returns unexpected error messages when run on a SAM installation
katello-debug returns unexpected error messages when run on a SAM installation
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity medium
: rc
: 1.X
Assigned To: Adam Price
Tazim Kolhar
: Triaged
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-05-29 11:26 EDT by Eric Sammons
Modified: 2016-04-25 20:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:16:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
katello-debug (109.79 KB, application/x-gzip)
2012-07-31 00:14 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Eric Sammons 2012-05-29 11:26:55 EDT
Description of problem:
katello-debug should be aware of which deployment it is being run against and not try to collect data for those items which do not apply to SAM.

Version-Release number of selected component (if applicable):
2012-05-25.1

Steps to Reproduce:
1. As root run /usr/share/katello/script/katello-debug
  
Actual results:
sed: can't read /tmp/katello-debug-20120529112401/etc/pulp/pulp.conf: No such file or directory
sed: can't read /tmp/katello-debug-20120529112401/etc/pulp/pulp.conf: No such file or directory
sh: katello-debug-certificates: command not found
A debug file has been created at /tmp/katello-debug-20120529112401.tar.gz.
Make sure it contains no security sensitive data before making it public!


Expected results:
No errors 

Additional info:
Comment 2 Adam Price 2012-07-25 17:20:07 EDT
this is my current output

[root@box ~]# /usr/share/katello/script/katello-debug 
created directory /tmp/katello-debug-20120725170513
  copying over /var/log/audit/audit.log
  copying over /var/log/httpd
  copying over /etc/httpd/conf.d
  copying over /var/log/tomcat6
  copying over /etc/candlepin/candlepin.conf
  copying over /etc/tomcat6/server.xml
  skipping /etc/thumbslug since it does not exist
  skipping /var/log/thumbslug since it does not exist
  copying over /var/log/katello
  copying over /etc/katello/client.conf
  copying over /etc/katello/katello.yml
  copying over /etc/katello/mapping.yml
  copying over /etc/katello/thin.yml
  skipping /etc/katello/environment.db since it does not exist
  copying over /etc/katello/katello-configure.conf
  skipping /etc/httpd.d/katello.conf since it does not exist
  copying over /var/log/elasticsearch
  copying over /etc/elasticsearch
  copying over /etc/pulp/pulp.conf
  copying over /var/log/pulp
  skipping /etc/httpd.d/pulp.conf since it does not exist
  copying over /etc/qpidd.conf
certutil: function failed: security library: bad database.
certutil: function failed: security library: bad database.
certutil: function failed: security library: bad database.
ls: cannot access /etc/pki/katello/nssdb/*: No such file or directory
A debug file has been created at /tmp/katello-debug-20120725170513.tar.gz.
Make sure it contains no security sensitive data before making it public!


this is the build i was checking on

[root@box ~]# rpm -qa | grep katello
katello-glue-candlepin-0.2.50-1.git.0.1110b64.fc16.noarch
katello-configure-0.2.30-1.el6.noarch
katello-common-0.2.50-1.git.0.1110b64.fc16.noarch
katello-repos-0.2.6-1.el6.noarch
katello-certs-tools-1.1.6-1.el6.noarch
katello-glue-foreman-0.2.50-1.git.0.1110b64.fc16.noarch
katello-selinux-0.2.6-1.el6.noarch
katello-cli-0.2.43-1.el6.noarch
katello-glue-pulp-0.2.50-1.git.0.1110b64.fc16.noarch
katello-0.2.50-1.git.0.1110b64.fc16.noarch
katello-all-0.2.50-1.git.0.1110b64.fc16.noarch
katello-cli-common-0.2.43-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch



can you verify that it's still giving you the error? thanks.
Comment 3 Tazim Kolhar 2012-07-31 00:06:34 EDT
VERIFIED with the build:

[root@nec-em16 ~]# rpm -qa | grep katello
katello-cli-common-0.2.45-1.fc16.noarch
katello-glue-foreman-0.2.50-1.fc16.noarch
katello-glue-pulp-0.2.50-1.fc16.noarch
katello-selinux-0.2.6-1.fc16.noarch
katello-certs-tools-1.1.6-1.fc16.noarch
katello-configure-0.2.32-1.fc16.noarch
katello-glue-candlepin-0.2.50-1.fc16.noarch
katello-all-0.2.53-1.fc16.noarch
katello-common-0.2.50-1.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-0.2.45-1.fc16.noarch
katello-0.2.50-1.fc16.noarch
katello-repos-0.2.7-1.fc16.noarch


[root@nec-em16 ~]# /usr/share/katello/script/katello-debug
created directory /tmp/katello-debug-20120730235934
  copying over /var/log/audit/audit.log
  copying over /var/log/httpd
  copying over /etc/httpd/conf.d
  copying over /var/log/tomcat6
  copying over /etc/candlepin/candlepin.conf
  copying over /etc/tomcat6/server.xml
  copying over /etc/thumbslug
  copying over /var/log/thumbslug
  copying over /var/log/katello
  copying over /etc/katello/client.conf
  copying over /etc/katello/katello.yml
  copying over /etc/katello/mapping.yml
  copying over /etc/katello/thin.yml
  skipping /etc/katello/environment.db since it does not exist
  copying over /etc/katello/katello-configure.conf
  skipping /etc/httpd.d/katello.conf since it does not exist
  copying over /var/log/elasticsearch
  copying over /etc/elasticsearch
  copying over /etc/pulp/pulp.conf
  copying over /var/log/pulp
  skipping /etc/httpd.d/pulp.conf since it does not exist
  copying over /etc/qpidd.conf
certutil: function failed: security library: bad database.
certutil: function failed: security library: bad database.
certutil: function failed: security library: bad database.
ls: cannot access /etc/pki/katello/nssdb/*: No such file or directory
A debug file has been created at /tmp/katello-debug-20120730235934.tar.gz.
Make sure it contains no security sensitive data before making it public!
Comment 4 Tazim Kolhar 2012-07-31 00:14:36 EDT
Created attachment 601425 [details]
katello-debug
Comment 6 errata-xmlrpc 2013-02-21 14:16:18 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.